cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/virtual-cluster-workspaces?pagination.page=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.as_of_time=SOME_STRING_VALUE&pagination.sort_order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"pagination": {},
"workspaces": [
{
"cloud_provider": "AWS",
"created_at": "2026-03-22T20:23:11.285067Z",
"default_virtual_cpu_burst_limit": 4,
"id": "35c4abb2-bb66-46d7-afed-25ebef5ed2aa",
"name": "production",
"regions": [
"us-east-1",
"us-west-2"
],
"updated_at": "2026-04-01T09:14:02.114930Z"
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}List workspaces in the organization
Sort order: workspace name
Can be used by the following roles assigned at the organization scope:
- ORG_ADMIN
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
- CLUSTER_DEVELOPER
- CLUSTER_CREATOR
- AUDITOR
GET
/
api
/
v1
/
virtual-cluster-workspaces
cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/virtual-cluster-workspaces?pagination.page=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.as_of_time=SOME_STRING_VALUE&pagination.sort_order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"pagination": {},
"workspaces": [
{
"cloud_provider": "AWS",
"created_at": "2026-03-22T20:23:11.285067Z",
"default_virtual_cpu_burst_limit": 4,
"id": "35c4abb2-bb66-46d7-afed-25ebef5ed2aa",
"name": "production",
"regions": [
"us-east-1",
"us-west-2"
],
"updated_at": "2026-04-01T09:14:02.114930Z"
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}CONTINUUM
PREVIEW
This endpoint is only supported by Continuum organizations. Refer to the Continuum documentation for more details.
This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
- ASC: Sort in ascending order. This is the default unless otherwise specified.
- DESC: Sort in descending order.
Available options:
ASC, DESC 
